package com.mortals.xhx.module.attendance.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.xhx.module.attendance.model.AttendanceStatEntity;
import com.mortals.xhx.module.attendance.model.vo.AttendanceSummaryQuery;

/**
* 考勤汇总信息Dao
* 考勤汇总信息 DAO接口
*
* @author zxfei
* @date 2023-04-08
*/

public interface  AttendanceStatDao extends ICRUDDao<AttendanceStatEntity,Long>{
    /**
     * 通过员工id查询
     * */
    AttendanceStatEntity queryEntity(Long staffId);

    Result<AttendanceStatEntity> getListExt(AttendanceSummaryQuery params, PageInfo pageInfo);

}
