package com.mortals.xhx.module.attendance.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.attendance.dao.AttendanceRecordErrorDao;
import com.mortals.xhx.module.attendance.model.AttendanceRecordErrorEntity;
import com.mortals.xhx.module.attendance.model.AttendanceRecordErrorQuery;
import com.mortals.xhx.module.attendance.model.vo.ErrorSummaryVo;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* 考勤打卡记录异常信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-08
*/
@Repository("attendanceRecordErrorDao")
public class AttendanceRecordErrorDaoImpl extends BaseCRUDDaoMybatis<AttendanceRecordErrorEntity,Long> implements AttendanceRecordErrorDao {


    @Override
    public int errorAttendance(Long id) {
        return getSqlSession().selectOne(getSqlId("errorAttendance"),id);
    }

    @Override
    public List<ErrorSummaryVo> getMonthTop10(AttendanceRecordErrorQuery query) {
        return getSqlSession().selectList(getSqlId("getMonthTop10"),query);
    }
}
