package com.mortals.xhx.module.attendance.dao.ibatis;


import com.mortals.xhx.module.attendance.model.vo.AttendanceSummaryQuery;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.attendance.dao.AttendanceStaffStatDao;
import com.mortals.xhx.module.attendance.model.AttendanceStaffStatEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 考勤人员汇总信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-08
*/
@Repository("attendanceStaffStatDao")
public class AttendanceStaffStatDaoImpl extends BaseCRUDDaoMybatis<AttendanceStaffStatEntity,Long> implements AttendanceStaffStatDao {


    @Override
    public List<AttendanceStaffStatEntity> getListExt(AttendanceSummaryQuery params) {
        return this.getSqlSession().selectList(this.getSqlId("getListExt"), params);
    }
}
