package com.mortals.xhx.module.attendance.model.vo;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.attendance.model.AttendanceRecordHikEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 海康考勤打卡记录汇总信息视图对象
*
* @author zxfei
* @date 2023-04-08
*/
@Data
public class AttendanceRecordHikVo extends BaseEntityLong {

    private String orgName;

    /** 开始 考勤日期 */
    private String attendanceDateStart;

    /** 结束 考勤日期 */
    private String attendanceDateEnd;

    /** 员工ID列表 */
    private List <Long> staffIdList;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    private List<AttendanceRecordHikEntity> list;

}
