package com.mortals.xhx.module.attendance.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.attendance.model.AttendanceLeaveRecordEntity;
import com.mortals.xhx.module.attendance.model.AttendanceLeaveRecordQuery;
import org.springframework.web.bind.annotation.RequestBody;

/**
* AttendanceLeaveRecordService
*
* 请假记录信息 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface AttendanceLeaveRecordService extends ICRUDService<AttendanceLeaveRecordEntity,Long>{

    //根据remark（钉钉返回的id）查询对象
      AttendanceLeaveRecordEntity doUpdateRecord(String processInstanceId,AttendanceLeaveRecordEntity leaveRecordEntity) throws Exception;


      Rest<String> syncLeaveRecord(AttendanceLeaveRecordQuery query, Context context);
}