package com.mortals.xhx.module.attendance.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.attendance.model.AttendanceRecordDetailEntity;
import com.mortals.xhx.module.attendance.model.AttendanceRecordQuery;

import java.util.List;

/**
* AttendanceRecordDetailService
*
* 考勤打卡记录详细信息 service接口
*
* @author zxfei
* @date 2023-04-07
*/
public interface AttendanceRecordDetailService extends ICRUDService<AttendanceRecordDetailEntity,Long>{
    /**
     * 查询每日打卡记录明细
     * @param query
     * @return
     */
    List<AttendanceRecordDetailEntity> getListByWhere(AttendanceRecordQuery query);
}