package com.mortals.xhx.module.attendance.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.model.PageInfo;
import com.mortals.framework.model.Result;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.attendance.model.AttendanceStaffStatEntity;
import com.mortals.xhx.module.attendance.model.vo.AttendanceSummaryQuery;

import java.util.List;

/**
* AttendanceStaffStatService
*
* 考勤人员汇总信息 service接口
*
* @author zxfei
* @date 2023-04-08
*/
public interface AttendanceStaffStatService extends ICRUDService<AttendanceStaffStatEntity,Long>{

    List<AttendanceStaffStatEntity> getListExt(AttendanceSummaryQuery params) throws AppException;

}