package com.mortals.xhx.module.window.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 大厅窗口信息视图对象
 *
 * @author zxfei
 * @date 2024-01-17
 */
@Data
public class WindowPerformAllVo extends BaseEntityLong {

    private String formName;

    private Integer formType;

    /**
     * 考核年度
     */
    private Integer year;
    /**
     * 考核月份
     */
    private Integer month;

    /**
     * 窗口ID
     */
    private Long windowId;
    /**
     * 窗口名称
     */
    private String windowName;
    /**
     * 填报时间
     */
    private Date fillDate;
    /**
     * 填报状态0暂存1提交
     */
    private Integer fillStatus;
    /**
     * 窗口编号
     */
    private String windowCode;

}