package com.mortals.xhx.module.window.model.vo;

import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.common.code.WorkmanPerformTypeEnum;
import com.mortals.xhx.module.window.model.WindowWorkmanPerformDetailEntity;
import lombok.Data;

import java.util.List;
/**
* 窗口人员考核汇总登记视图对象
*
* @author zxfei
* @date 2024-01-17
*/
@Data
public class WindowWorkmanPerformVo extends BaseEntityLong {

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    private List <WindowWorkmanPerformDetailEntity> workmanPerformDetailList;
    private String formName = WorkmanPerformTypeEnum.市政务服务大厅窗口工作人员考核汇总表.getDesc();
    private Integer formType = WorkmanPerformTypeEnum.市政务服务大厅窗口工作人员考核汇总表.getValue();
}