package com.mortals.xhx.module.window.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.common.pdu.window.WindowPdu;
import com.mortals.xhx.module.window.model.WindowOwnerDetailEntity;
import com.mortals.xhx.module.window.dao.WindowOwnerDetailDao;

import java.util.List;

/**
* WindowOwnerDetailService
*
* 窗口负责人详细 service接口
*
* @author zxfei
* @date 2023-07-12
*/
public interface WindowOwnerDetailService extends ICRUDService<WindowOwnerDetailEntity,Long>{

    WindowOwnerDetailDao getDao();

    /**
     * 获取基础平台与考勤绩效系统已分配的窗口差集列表
     * @param pdu
     * @return
     */
    List<WindowPdu> subWindowPduList(WindowPdu pdu);
}