package com.mortals.xhx.module.window.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BaseCRUDJsonBodyMappingController;
import com.mortals.xhx.common.code.ExamineLevelEnum;
import com.mortals.xhx.module.window.model.WindowWorkmanPerformDetailEntity;
import com.mortals.xhx.module.window.service.WindowWorkmanPerformDetailService;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;
/**
*
* 窗口人员考核汇总明细
*
* @author zxfei
* @date 2024-01-17
*/
@RestController
@RequestMapping("window/workman/perform/detail")
public class WindowWorkmanPerformDetailController extends BaseCRUDJsonBodyMappingController<WindowWorkmanPerformDetailService,WindowWorkmanPerformDetailEntity,Long> {

    public WindowWorkmanPerformDetailController(){
        super.setModuleDesc( "窗口人员考核汇总明细");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "examineLevel", ExamineLevelEnum.getEnumMap());
        super.init(model, context);
    }


}