package com.mortals.xhx.common.key;

/**
 * 参数表对应key定义对应
 * @author linlc
 *
 */
public class ParamKey {
	
	/** 文件访问的地址 */
    public static final String FILE_URL = "iot:base:param:fileUrl";
    /** 物料编码长度，默认6 */
    public static final String MATERIA_CODE_LENGTH = "iot:base:param:materia:length";

    /**
     * 系统参数：设备心跳间隔时间（单位：秒，默认值：60秒）
     */
    public static String SYS_PARAM_HEADBEAT_TIMEOUT = "headbeat_timeout";

    /**
     * 系统参数：系统日志保存时间（单位：秒，默认值：60秒）
     */
    public static String SYS_PARAM_LOG_TIME = "log_time";


    public static String SYS_PARAM_USER_URL = "user_url";

    public static String SYS_PARAM_WEIGHT = "weight";

}
