package com.mortals.xhx.module.attendance.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.attendance.model.AttendanceRecordDetailEntity;
import com.mortals.xhx.module.attendance.model.AttendanceRecordQuery;

import java.util.List;

/**
* 考勤打卡记录详细信息Dao
* 考勤打卡记录详细信息 DAO接口
*
* @author zxfei
* @date 2023-04-07
*/

public interface  AttendanceRecordDetailDao extends ICRUDDao<AttendanceRecordDetailEntity,Long>{


    /**
     * 统计上班迟到
     * */
    int goWorkCount(Long id);

    /**
     * 查询每日打卡记录明细
     * @param query
     * @return
     */
    List<AttendanceRecordDetailEntity> getListByWhere(AttendanceRecordQuery query);

}
