package com.mortals.xhx.module.attendance.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.attendance.model.AttendanceRecordErrorEntity;
import com.mortals.xhx.module.attendance.model.AttendanceRecordErrorQuery;
import com.mortals.xhx.module.attendance.model.vo.ErrorSummaryVo;

import java.util.List;

/**
* 考勤打卡记录异常信息Dao
* 考勤打卡记录异常信息 DAO接口
*
* @author zxfei
* @date 2023-04-08
*/

public interface  AttendanceRecordErrorDao extends ICRUDDao<AttendanceRecordErrorEntity,Long>{


    /**
     * 统计异常打卡
     * */

    int errorAttendance(Long id);

    /**
     * 统计每月异常次数top10
     * @param query
     * @return
     */
    List<ErrorSummaryVo> getMonthTop10(AttendanceRecordErrorQuery query);

}
