package com.mortals.xhx.module.attendance.dao.ibatis;


import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import com.mortals.xhx.module.attendance.dao.AttendanceRecordDetailDao;
import com.mortals.xhx.module.attendance.model.AttendanceRecordDetailEntity;
import com.mortals.xhx.module.attendance.model.AttendanceRecordQuery;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
* 考勤打卡记录详细信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-04-07
*/
@Repository("attendanceRecordDetailDao")
public class AttendanceRecordDetailDaoImpl extends BaseCRUDDaoMybatis<AttendanceRecordDetailEntity,Long> implements AttendanceRecordDetailDao {


    @Override
    public int goWorkCount(Long id) {
        return getSqlSession().selectOne(getSqlId("goWorkCount"),id);
    }

    @Override
    public List<AttendanceRecordDetailEntity> getListByWhere(AttendanceRecordQuery query) {
        return getSqlSession().selectList(getSqlId("getListByWhere"),query);
    }


}
