package com.mortals.xhx.module.attendance.model.vo;

import com.mortals.framework.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 请假汇总
 */
@Data
public class LeaveSummaryVo {
    /**
     * 员工ID
     */
    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 年
     */
    private Integer year;
    /**
     * 月
     */
    private Integer month;
    /**
     * 日
     */
    private Integer day;
    /**
     * 请假类型(1.事假,2.调休,3.病假,4.年假,5.产假,6.陪产假,7.婚假,8.例假,9.哺乳假,10.丧假,11.回单位,12.因公请假,13.外出勘验,14.值班补班,15.体检,16.隔离,17.因公外出,18.公休,19.育儿假,20.调回单位,21.探亲假)
     */
    private Integer leaveType;
    /**
     * 时长,单位秒
     */
    private Integer duration;
    /**
     * 开始时间
     */
    private Date startTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 员工状态(1.正式,2.试用,3.离职)
     */
    private Integer status;
    /**
     * 离职时间
     */
    private Date leaveDate;
}
