package com.mortals.xhx.module.check.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.check.model.CheckWindowWorkmanPerformEntity;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;

import java.util.List;
/**
* 窗口人员考核汇总核查Dao
* 窗口人员考核汇总核查 DAO接口
*
* @author zxfei
* @date 2024-01-17
*/

public interface  CheckWindowWorkmanPerformDao extends ICRUDDao<CheckWindowWorkmanPerformEntity,Long>{

    /**
     * 汇总已审核的核查记录
     * @param query
     * @return
     */
    List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query);
}
