package com.mortals.xhx.module.check.dao.ibatis;


import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.check.dao.CheckWindowWorkmanPerformDao;
import com.mortals.xhx.module.check.model.CheckWindowWorkmanPerformEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 窗口人员考核汇总核查DaoImpl DAO接口
*
* @author zxfei
* @date 2024-01-17
*/
@Repository("checkWindowWorkmanPerformDao")
public class CheckWindowWorkmanPerformDaoImpl extends BaseCRUDDaoMybatis<CheckWindowWorkmanPerformEntity,Long> implements CheckWindowWorkmanPerformDao {


    @Override
    public List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getSummaryCheckList"), query);
    }
}
