package com.mortals.xhx.module.check.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.check.model.CheckWindowPerformEntity;
import com.mortals.xhx.module.check.dao.CheckWindowPerformDao;
/**
* CheckWindowPerformService
*
* 窗口考核核查 service接口
*
* @author zxfei
* @date 2024-01-17
*/
public interface CheckWindowPerformService extends ICRUDService<CheckWindowPerformEntity,Long>{

    CheckWindowPerformDao getDao();

    /**
     * 核查人工审核
     * @param entity
     * @param context
     * @throws AppException
     */
    void examine(CheckWindowPerformEntity entity, Context context) throws AppException;

}