package com.mortals.xhx.module.hik.staff.service;


import com.mortals.framework.common.Rest;
import com.mortals.xhx.module.door.model.DoorEntity;
import com.mortals.xhx.module.hik.staff.model.req.staff.StaffReq;
import com.mortals.xhx.module.hik.staff.model.rsp.staff.search.UserSearchInfo;

/**
 * 海康人员接口对接类
 *
 * @author:
 * @date: 2023/4/12 17:47
 */
public interface IHikStaffService {

    /**
     * 获取人员接口
     *
     * @param personReq
     * @return
     */
    Rest<UserSearchInfo> getPersonList(StaffReq personReq, DoorEntity doorEntity);


    /**
     * 获取人员总数接口
     *
     * @param personReq
     * @return
     */
    Rest<UserSearchInfo> getPersonCount(StaffReq personReq, DoorEntity doorEntity);



}
