package com.mortals.xhx.module.perform.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.busiz.h5.req.AttendSaveReq;
import com.mortals.xhx.module.perform.model.PerformAttendRecordEntity;
import com.mortals.xhx.module.perform.dao.PerformAttendRecordDao;
/**
* PerformAttendRecordService
*
* 考勤绩效记录信息 service接口
*
* @author zxfei
* @date 2023-07-10
*/
public interface PerformAttendRecordService extends ICRUDService<PerformAttendRecordEntity,Long>{

    PerformAttendRecordDao getDao();

    /**
     * 修改处理状态
     * @param id
     * @param status
     * @throws AppException
     */
    void updateProcessStatus(Long id,Integer status) throws AppException;


    void saveAttend(AttendSaveReq req, Context context) throws AppException;

}