package com.mortals.xhx.module.window.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.common.code.WorkmanPerformTypeEnum;
import com.mortals.xhx.module.window.model.WindowPerformEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 大厅窗口信息视图对象
*
* @author zxfei
* @date 2024-01-17
*/
@Data
public class WindowPerformVo extends BaseEntityLong {

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    private String formName = WorkmanPerformTypeEnum.市政务服务大厅窗口考核登记表.getDesc();
    private Integer formType = WorkmanPerformTypeEnum.市政务服务大厅窗口考核登记表.getValue();
}