package com.mortals.xhx.module.window.service;
import com.mortals.framework.common.Rest;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.window.model.WindowPerformEntity;
import com.mortals.xhx.module.window.dao.WindowPerformDao;
import com.mortals.xhx.module.window.model.WindowPerformQuery;
import com.mortals.xhx.module.window.model.vo.WindowPerformAllVo;

import java.util.List;

/**
* WindowPerformService
*
* 大厅窗口信息 service接口
*
* @author zxfei
* @date 2024-01-17
*/
public interface WindowPerformService extends ICRUDService<WindowPerformEntity,Long>{

    WindowPerformDao getDao();


    Rest<List<WindowPerformAllVo>> getAllList(WindowPerformQuery query, Context context);
}