package com.mortals.xhx.common.pdu.holiday;
import java.util.Date;
import java.util.List;
import com.mortals.framework.model.BaseEntityLong;
import lombok.Data;
/**
* 节假日Pdu对象
*
* @author zxfei
* @date 2023-10-09
*/
@Data
public class HolidayPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 节日名称
    */
    private String name;
    /**
    * 备注
    */
    private String summary;
    /**
    * 年份
    */
    private Integer year;
    /**
    * 开始时间
    */
    private Date startTime;
    /**
    * 结束时间
    */
    private Date endTime;
    /**
    * 是否工作日（0.节假日,1.工作日)
    */
    private Integer workorholiday;

public void initAttrValue(){

            this.siteId = null;

            this.name = "";

            this.summary = "";

            this.year = null;

            this.startTime = null;

            this.endTime = null;

            this.workorholiday = 0;
    }
}